Skip to main content
GET
/
v2
/
submission
/
{submission_id}
/
quality
Fetch quality result
curl --request GET \
  --url https://api.documents.resistant.ai/v2/submission/{submission_id}/quality \
  --header 'Authorization: Bearer <token>'
{
  "status": "SUCCESS",
  "analysis_time": "<string>",
  "file_type": "unsupported",
  "mime_type": "<string>",
  "deployment_version": "<string>",
  "query_id": "<string>",
  "sha256": "<string>",
  "score": "HIGH_QUALITY",
  "sample_metadata": {
    "producer": "<string>",
    "creator": "<string>",
    "creation_date": "<string>",
    "mod_date": "<string>",
    "author": "<string>",
    "title": "<string>",
    "keywords": "<string>",
    "subject": "<string>"
  },
  "indicators": [
    {
      "indicator_id": "<string>",
      "type": "RISK",
      "category": "<string>",
      "title": "<string>",
      "description": "<string>",
      "origin": "quality",
      "metadata": {
        "type": "DataOnly",
        "column_names": [
          "<string>"
        ],
        "data": [
          [
            "<string>"
          ]
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

submission_id
string
required

Response

Asynchronous processing finished (either with a success or an error). Result of the processing is described by specific response object.

status
enum<string>
required
Available options:
SUCCESS
analysis_time
string
required

Timestamp of analysis

file_type
enum<string>
required

General type of the input file

Available options:
unsupported,
pdf,
image
mime_type
string
required

Mime type of the input file, e.g. application/pdf, image/jpeg, etc.

Maximum string length: 256
deployment_version
string
required

Version of quality engine used for analysis

Maximum string length: 256
query_id
string | null
required

Customer's own submission ID. This field may contain customer's own internal ID of analyzed file (e.g. ID in database).

Maximum string length: 2048
sha256
string
required

Sha256 of the input file

Required string length: 64
score
enum<string>
required

Overall score of analyzed sample. A LOW_QUALITY score is given to documents where quality issue indicator has been foundA HIGH_QUALITY score identifies documents where system found no quality issues

Available options:
HIGH_QUALITY,
LOW_QUALITY,
NOT_RELEVANT_DOCUMENT
sample_metadata
Sample metadata · object
required

Metadata extracted from the analyzed file. This field may contain various information such as creation date, software used to create the file, etc.

indicators
Quality indicator · object[]
required

Indicators contains detailed information about the specific results of our analysis, namely the quality issues detected.